import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { MasterTask } from "./master-task.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, FindOptionsWhere, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class MasterTaskService extends TypeOrmCrudService<MasterTask> {
    readonly repo: Repository<MasterTask>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<MasterTask>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<MasterTask>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<MasterTask[]>;
    createOneBy(params: DeepPartial<MasterTask>, manager?: EntityManager): Promise<MasterTask>;
    createAllBy(params: DeepPartial<MasterTask>[], manager?: EntityManager): Promise<MasterTask[]>;
    createAllIfNotExistBy(params: DeepPartial<MasterTask>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: FindOptionsWhere<MasterTask>, set: {
        [K in keyof MasterTask]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
